Subject: Re: [PATCH net v333 0/4] net: phy: EEE fixes

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 23 Feb 2023 09:56:01 +0000

On Thu, Feb 23, 2023 at 10:23:20AM +0100, Paolo Abeni wrote:
> Hi,
> 
> On Wed, 2023-02-22 at 06:50 +0100, Oleksij Rempel wrote:
> > changes v3:
> > - add kernel test robot tags to commit log
> > - reword comment for genphy_c45_an_config_eee_aneg() function
> > 
> > changes v2:
> > - restore previous ethtool set logic for the case where advertisements
> >   are not provided by user space.
> > - use ethtool_convert_legacy_u32_to_link_mode() where possible
> > - genphy_c45_an_config_eee_aneg(): move adv initialization in to the if
> >   scope.
> > 
> > Different EEE related fixes.
> > 
> > Oleksij Rempel (4):
> >   net: phy: c45: use "supported_eee" instead of supported for access
> >     validation
> >   net: phy: c45: add genphy_c45_an_config_eee_aneg() function
> >   net: phy: do not force EEE support
> >   net: phy: c45: genphy_c45_ethtool_set_eee: validate EEE link modes
> > 
> >  drivers/net/phy/phy-c45.c    | 54 ++++++++++++++++++++++++++++--------
> >  drivers/net/phy/phy_device.c | 21 +++++++++++++-
> >  include/linux/phy.h          |  6 ++++
> >  3 files changed, 68 insertions(+), 13 deletions(-)
> > 
> @Russel: I read your last reply to the v2 series as an ack here, am I
> correct?

Yes - I've just given two r-b's as well for the last two patches.
Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!